web_Developer_Victor
@web_Developer_Victor
Что такое google?

Почему postcss-loader и bootstrap не работают вместе?

Привет! Я знаю, что вопрос очень глупый, но я все же не понимаю почему так.

Решил подключить Bootstrap через npm
import 'bootstrap';
import 'bootstrap/dist/css/bootstrap.min.css';


но когда я захожу на сайт, то мне выскакивает вот это:
5dc43c0f5e2b7656610985.png

Кусочек из Webpack

{ // css
      test: /\.css$/,
      use: [
        MiniCssExtractPlugin.loader,
        { // css-loader
          loader: `css-loader`,
          options: {
            sourceMap: true,
            url: false
          }
        },
        {
          loader: `postcss-loader`,
          options: {
            ident: `postcss`,
            sourceMap: true,
            plugins: () => [
              require(`autoprefixer`),
              require(`css-mqpacker`),
              require(`cssnano`)({
                preset: [
                  `default`, {
                    discardComments: {
                      removeAll: true,
                    }
                  }
                ]
              })
            ]
          }
        },
        `csscomb-loader`
      ]
    }



Возможно кто-то знает в чем проблема и как её решить? Если нужно еще какие-то файлы — спрашивайте
  • Вопрос задан
  • 32 просмотра
Пригласить эксперта
Ответы на вопрос 1
@i_m_newbie
Верстальщик
Обычно автопрефиксер подключаю так:
npm install postcss-loader --save-dev
npm i -D autoprefixer


В webpack.config.js:
{
        test: /\.scss$/,
        use:  [  'style-loader', 'css-loader', 'postcss-loader', 'sass-loader']
 }


Затем в postcss.config.js:

module.exports = {
    plugins: [
      require('autoprefixer')
    ]
}
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы